You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     vmage...@gmail.com
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/editors/wordgrinder/Makefile 300896 2012-07-14 
13:54:48Z beat $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/head-i386-default/2013-09-19_00h27m24s/logs/wordgrinder-0.3.3.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/head-i386-default/2013-09-19_00h27m24s
Log:

====>> Building editors/wordgrinder
build started at Thu Sep 19 01:38:27 UTC 2013
port directory: /usr/ports/editors/wordgrinder
building for: FreeBSD head-i386-default-job-10 10.0-CURRENT FreeBSD 
10.0-CURRENT i386
maintained by: vmage...@gmail.com
Makefile ident:      $FreeBSD: head/editors/wordgrinder/Makefile 300896 
2012-07-14 13:54:48Z beat $
Poudriere version: 3.1-pre

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=1000055
UNAME_v=FreeBSD 10.0-CURRENT
UNAME_r=10.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-i386-default/ref
PKG_EXT=txz
tpid=52345
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
NBPARALLEL=24
PKGNG=1
PKGNAME=wordgrinder-0.3.3
PKG_DELETE=/usr/local/sbin/pkg delete -y -f
PKG_ADD=/usr/local/sbin/pkg add
PWD=/root
MASTERNAME=head-i386-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
SKIPSANITY=1
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES LUA_VER="5.1" LUA_VER_SH="1" 
LUA_VER_STR="51" LUA_PREFIX="/usr/local" LUA_SUBDIR="lua51" 
LUA_BINDIR="/usr/local/bin/lua51" LUA_INCDIR="/usr/local/include/lua51" 
LUA_LIBDIR="/usr/local/lib/lua51" LUA_MODLIBDIR="/usr/local/lib/lua/5.1" 
LUA_MODSHAREDIR="/usr/local/share/lua/5.1" PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/wordgrinder
DOCSDIR=/usr/local/share/doc/wordgrinder
EXAMPLESDIR=/usr/local/share/examples/wordgrinder
WWWDIR=/usr/local/www/wordgrinder
ETCDIR=/usr/local/etc/wordgrinder
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=yes
---End make.conf---
===>  Cleaning for wordgrinder-0.3.3
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   wordgrinder-0.3.3 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_2.txz
Installing pkg-1.1.4_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of wordgrinder-0.3.3
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by wordgrinder-0.3.3 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by wordgrinder-0.3.3 for building
=> SHA256 Checksum OK for wordgrinder-0.3.3.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by wordgrinder-0.3.3 for building
===>  Extracting for wordgrinder-0.3.3
=> SHA256 Checksum OK for wordgrinder-0.3.3.tar.bz2.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for wordgrinder-0.3.3
/usr/bin/sed -i.bak -e 's,^PREFIX =.*$,PREFIX = "/usr/local",'  -e 
's,/usr/include/lua5.1,/usr/local/include/lua51,'  -e 's,command = "lua 
,command = "/usr/local/bin/lua-5.1 ,'  -e '/curses_exe =/s,$, CLINKFLAGS = 
{PARENT\, "-L/usr/local/lib/lua51"}\,,'  -e 's,lua5.1,lua,'  -e 's,install 
-D,install,'  
/wrkdirs/usr/ports/editors/wordgrinder/work/wordgrinder-0.3.3/pmfile
/usr/bin/sed -i.bak 's,^LUACOMPILER =.*$,LUACOMPILER = 
"/usr/local/bin/luac-5.1",'  
/wrkdirs/usr/ports/editors/wordgrinder/work/wordgrinder-0.3.3/tools/lua.pm
===========================================================================
=======================<phase: build-depends  >============================
===========================================================================
=======================<phase: lib-depends    >============================
===>   wordgrinder-0.3.3 depends on shared library: lua-5.1.1 - not found
===>    Verifying install for lua-5.1.1 in /usr/ports/lang/lua
===>   Installing existing package /packages/All/lua-5.1.5_6.txz
Installing lua-5.1.5_6... done
===>   Returning to build of wordgrinder-0.3.3
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for wordgrinder-0.3.3
===========================================================================
=======================<phase: build          >============================
===>  Building for wordgrinder-0.3.3
(cd /wrkdirs/usr/ports/editors/wordgrinder/work/wordgrinder-0.3.3; ./pm)
pm: bootstrapping...
pm: creating new intermediate file cache in '.pm-cache'
gcc: not found
pm: object 'cfile', defined at pmfile:196, failed to build with return code 
32512
gcc "-Wall" "--std=c99" "-g"  "-I/usr/include/ncursesw" 
"-I/usr/local/include/lua51" "-Isrc/c" "-DVERSION=\"0.3.3\"" "-DFILEFORMAT=3" 
"-DPREFIX=\"/usr/local\"" "-D_XOPEN_SOURCE_EXTENDED" "-D_XOPEN_SOURCE"  -c -o 
".pm-cache/1-utils.o" "src/c/utils.c"
rm -f ".pm-cache/1-utils.o"
*** Error code 1

Stop.
make: stopped in /usr/ports/editors/wordgrinder
===>  Cleaning for wordgrinder-0.3.3
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to